
TYPO3.Fluid - Bug # 27826

Status: Rejected Priority: Won't have this time
Author: Tim Lochmüller Category: ViewHelpers
Created: 2011-07-04 Assigned To: Adrian Föder
Updated: 2012-11-14 Due date:
Has patch: No
Affected Flow version: FLOW3 1.0.0
Subject: Missing "size" Attribute in the Form.Upload ViewHelper
Description

All inputs have the same attribute base. The "size" Attribute is missing in the Form.Upload ViewHelper...

Related issues:
related to TYPO3.Fluid - Task # 26658: Make Form ViewHelpers consistent New 2009-12-05

History
#1 - 2011-07-19 23:22 - Stefan Neufeind

Afaik there is no "size" with a meaning of field-width (for display) of a file-field, other than using css-styles. Or did you mean to use that for the
maxlength-attribute (defined in HTML 3.2)?

#2 - 2011-10-21 13:37 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 - 2012-11-14 08:48 - Adrian Föder
- Category set to ViewHelpers
- Status changed from New to Rejected
- Assigned To set to Adrian Föder
- Priority changed from Should have to Won't have this time

I agree to Stefan's comment; besides, you can use the additionalArguments attribute if you want it anyways.

Feel free to ask again or reopen.

#4 - 2012-11-14 11:45 - Ben N

Stefan Neufeind wrote:

Afaik there is no "size" with a meaning of field-width (for display) of a file-field, other than using css-styles. Or did you mean to use that for the
maxlength-attribute (defined in HTML 3.2)?

Wrong. The size-attr is the only way to affect the displayed width of an input type file field in some browsers.
No, i didn't mean maxlength.
Size attr is in the "official" HTML5-spec, why ignore anyways? 
http://www.w3.org/TR/2011/WD-html5-20110525/common-input-element-attributes.html#the-size-attribute

@Adrian: Thx for the hint, i'll try that.
